﻿.validation-message {
    display: none;
    width: 100%;
    margin-top: 0.25rem;
    font-size: 80%;
    color: #dc3545;
}

.invalid ~ .validation-message {
    display: block;
}

.form-control.invalid {
    border-color: #dc3545;
    padding-right: calc(1.5em + 0.75rem);
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' width='12' height='12' fill='none' stroke='%23dc3545' viewBox='0 0 12 12'%3e%3ccircle cx='6' cy='6' r='4.5'/%3e%3cpath stroke-linejoin='round' d='M5.8 3.6h.4L6 6.5z'/%3e%3ccircle cx='6' cy='8.2' r='.6' fill='%23dc3545' stroke='none'/%3e%3c/svg%3e");
    background-repeat: no-repeat;
    background-position: right calc(0.375em + 0.1875rem) center;
    background-size: calc(0.75em + 0.375rem) calc(0.75em + 0.375rem);
}

    .form-control.invalid:focus {
        border-color: #dc3545;
        box-shadow: 0 0 0 0.2rem rgba(220, 53, 69, 0.25);
    }

textarea.form-control.invalid {
    padding-right: calc(1.5em + 0.75rem);
    background-position: top calc(0.375em + 0.1875rem) right calc(0.375em + 0.1875rem);
}

.form-check-input.invalid ~ .form-check-label {
    color: #dc3545;
}

.form-check-input.invalid ~ .validation-message {
    display: block;
}

/*Radio Setup*/
.infoClass .mdc-radio .mdc-radio__native-control:enabled + .mdc-radio__background .mdc-radio__inner-circle {
    border-color: #6F81C8 !important;
}

.infoClass .mdc-radio .mdc-radio__native-control:enabled:checked + .mdc-radio__background .mdc-radio__outer-circle {
    border-color: #6F81C8 !important;
}
/*Tab navigation*/
.nav_tab {
    background-color: #6F81C8;
    color: #FFFF;
    border-radius: 0;
}

    .nav_tab:hover {
        background-color: #007BFF;
        color: #FFFF;
    }

.tab_active {
    background-color: #007BFF !important;
}

.btn-darkgreen {
    color: #fff;
    background-color: darkgreen;
    border-color: darkgreen;
    box-shadow: none;
}

    .btn-darkgreen:hover {
        color: white;
    }

.infoClass .content-right {
    width: 155px;
    text-align: right;
}

.quantityColumn .mdc-radio {
    padding-right: 0px;
}

.mdc-form-field > label {
    margin-top: 7px;
    font-weight: 600;
    display: block;
}

#licenses label, #invoices label {
    font-weight: 300;
}

#licenses {
    margin-left: 0;
}

    #licenses > .col-sm-12 {
        padding-left: 0;
    }

#invoices {
    margin-left: 0;
}

    #invoices > .col-sm-12 {
        padding-left: 0;
    }

.form-group.col-sm-12.col-md-6.col-xl-5 {
    padding-left: 0;
}

.col-sm {
    padding-left: 0;
}

.row {
    margin-left: 0;
}

.btn-default {
    color: #333;
    background-color: #fff;
    border-color: #ccc;
}

    .btn-default:focus {
        color: #333;
        background-color: #e6e6e6;
        border-color: #8c8c8c;
    }

    .btn-default:hover {
        color: #333;
        background-color: #e6e6e6;
        border-color: #adadad;
    }

    .btn-default:active {
        color: #333;
        background-color: #e6e6e6;
        border-color: #adadad;
    }
